# Form Component

## Overview

Form component is a special type of form. It has no scripting or events, only the user interface that can be used inside some special components: Form Container and List Form Container.

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                                                         | Summary                                                                                                      |
| --------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------ |
| [Open in Form Editor](#open-in-form-editor)                     | Opens the [Form Editor](/reference/servoy-developer/object-editors/form-editor.md)                           |
| [Open Form Hierarchy](#open-form-hierarchy)                     | Opens the [Form Hierarchy](/reference/servoy-developer/views/form-hierarchy.md)                              |
| [Create new sub form component](#create-new-sub-form-component) | Opens the [New Form Wizard](/reference/servoy-developer/object-editors/new-form-wizard.md) to create subform |
| [Add to working set](#add-to-working-set)                       | Adds form component to a Working Set                                                                         |
| [Transform to regular form](#transform-to-regular-form)         | Transforms form component to a regular form                                                                  |
| [Duplicate form component](#duplicate-form-component)           | Creates a (deep) copy of the form component                                                                  |
| [Delete form component](#delete-form-component)                 | Deletes form component from workspace                                                                        |
| [Rename form component](#rename-form-component)                 | Change form component name                                                                                   |
| [Search for References](#search-for-references)                 | Search all references in your active solution                                                                |

## Properties Summary

A summary of properties for this item, which can be configured in the Properties Editor. See [Form Component](/reference/servoycore/object-model/solution/form-component.md#property-summary) for properties that can be modified in Properties Editor.

## Commands Details

The details for each command available on this item via right-click context menu:

### Open in Form Editor

Opens the [Form Editor](/reference/servoy-developer/object-editors/form-editor.md). Form component only has User Interface and no scripting.

### Open Form Hierarchy

Opens the [Form Hierarchy](/reference/servoy-developer/views/form-hierarchy.md). There you see the hierarchy tree (according to parent-child relation).

### Create new sub form component

Opens the [New Form Wizard](/reference/servoy-developer/object-editors/new-form-wizard.md) to create child form (new form whose parent is the selected form).

### Transform to regular form

Transform this form component to a regular form. Note that a regular form cannot be transformed to a form component, so this change is irreversible. A form component only has a subset of features of the regular form (as it has only a very specific purpose).

### Add to working set

Add the form to a working set (like a logical folder for that form). A Working Set can contain both regular forms and form components.

### Duplicate form component

Creates a (deep) copy of the form component. You can choose the new form name.

### Delete form component

Deletes the form component from workspace.

### Rename form component

Can choose a new name for the form. WARNING: this may break your solution if you use the hard coded name in some code of your solution.

### Search for References

Search all references of the form component in your active solution.

## Contextual List

Here are the item details that appear in the [contextual list](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#overview) and each command available via right-click:

* form component name
* foundset


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/form-components/form-component.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
